Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class EagerLetExpression

    java.lang.Object
      net.sf.saxon.expr.ComputedExpression
          net.sf.saxon.expr.Assignation
              net.sf.saxon.expr.LetExpression
                  net.sf.saxon.expr.EagerLetExpression

All Implemented Interfaces:
  Binding, Container, Expression, InstructionInfoProvider, java.io.Serializable, javax.xml.transform.SourceLocator, TailCallReturner

public class EagerLetExpression
extends LetExpression

An EagerLetExpression is the same as a LetExpression except that the variable is evaluated using eager evaluation rather than lazy evaluation. This is used when performing diagnostic tracing.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Assignation
`action, declaration, nameCode, sequence, slotNumber, variableName`

Fields inherited from class net.sf.saxon.expr.ComputedExpression
`locationId, staticProperties`

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`EagerLetExpression()`

Method Summary
`protected ValueRepresentation` | `eval(XPathContext context)` Evaluate the variable.

Methods inherited from class net.sf.saxon.expr.LetExpression
`checkPermittedContents, computeCardinality, computeSpecialProperties, display, evaluateItem, getItemType, iterate, markTailFunctionCalls, optimize, process, processLeavingTail, promote, typeCheck`

Methods inherited from class net.sf.saxon.expr.Assignation
`evaluateVariable, extendBindingList, getAction, getLocalSlotNumber, getRequiredSlots, getVariableDeclaration, getVariableFingerprint, getVariableName, getVariableNameCode, isAssignable, isGlobal, iterateSubExpressions, promoteWhereClause, setAction, setSequence, setSlotNumber, setVariableDeclaration, simplify, suppressValidation`

Methods inherited from class net.sf.saxon.expr.ComputedExpression
`adoptChildExpression, computeDependencies, computeStaticProperties, doPromotion, dynamicError, dynamicError, effectiveBooleanValue, evaluateAsString, getCardinality, getColumnNumber, getConstructType, getDependencies, getExecutable, getHostLanguage, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, resetStaticProperties, setLocationId, setParentExpression, typeError, typeError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EagerLetExpression

    public EagerLetExpression()

Method Detail

### eval

    protected ValueRepresentation eval(XPathContext context)
                                throws XPathException

  Evaluate the variable.

  Overrides:
    `eval` in class `LetExpression`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD